<div class="grid grid-cols-12 min-h-screen">
  {{template "partials/sidebar" (dict "active" "new" "routeSuffix" .routeSuffix "role" .role)}}

  <div class="col-span-7 sm:col-span-8 lg:col-span-9 p-6 bg-slate-50">
    {{template "partials/headnav" .}}

    <h1 class="text-2xl font-medium mb-7">Vreemdeling toevoegen</h1>

    <form class="grid grid-cols-12" action="/vreemdelingen{{.routeSuffix}}" method="post">
      <h4 class="col-span-12 text-gray-500 text-sm uppercase mb-3">Gegevens in de BVV</h4>
      {{template "partials/vreemdeling-edit-bvv"}}

      <h4 class="col-span-12 text-gray-500 text-sm uppercase mb-3">Gegevens in Sigma</h4>
      {{$i := 0}}
      {{range .rubrieken}}
      {{$rubriekLabelToAdd := .Label}}
      {{range .Attributes}}
      {{if stringIn $.role.Permissions.Rubrieken.Set .Name}}

      {{with $rubriekLabelToAdd}}
      <h5 class="col-span-12">{{.}}</h5>
      {{$rubriekLabelToAdd = ""}}
      {{end}}

      {{template "partials/attribute-edit" (dict "attribute" . "data" (index $.sigmaData .Name) "index" $i "autofocus" (and (not (and configOrganization.BVVWriteAccess $.role.Permissions.BVVWriteAccess)) (eq $i 0)))}}
      {{$i = add $i 1}}
      {{end}}
      {{end}}
      {{end}}

      <p class="col-span-12">
        <button
          class="inline-block text-white bg-sky-500 border border-sky-600 hover:bg-sky-600 hover:border-sky-700 focus:ring-4 focus:outline-none focus:ring-sky-200 font-medium rounded-lg text-sm px-5 py-2.5 shadow-sm"
          type="submit">
          Opslaan
        </button>
      </p>
    </form>

  </div>
</div>
